Skip to main content
GET
/
v1
/
admin
/
detections
/
{rule_id}
/
runs
List detection runs
curl --request GET \
  --url https://api.withsplendor.com/v1/admin/detections/{rule_id}/runs \
  --header 'Authorization: Bearer <token>' \
  --header 'x-splendor-tenant-id: <x-splendor-tenant-id>'
{
  "runs": [
    {
      "ran_at": "2026-01-15T09:30:00Z",
      "result_value": 120,
      "rule_id": 3,
      "run_id": 9,
      "triggered": true,
      "webhook_status": "delivered"
    }
  ]
}

Authorizations

Authorization
string
header
required

API token issued from the Splendor console.

Headers

x-splendor-tenant-id
string
required

Selects the tenant (workspace) the request acts within.

Path Parameters

rule_id
integer
required

Query Parameters

limit
integer
default:50
Required range: 1 <= x <= 500

Response

Successful Response

runs
DetectionRunItem · object[]
required